## GtkPixmap GtkPixmap |

## Functions

GtkWidget * | gtk_pixmap_new ()
void | gtk_pixmap_set ()
void | gtk_pixmap_get ()
void | gtk_pixmap_set_build_insensitive ()

## Types and Values

struct | GtkPixmap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkPixmap

## Implemented Interfaces

GtkPixmap implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_pixmap_new ()

    GtkWidget *
    gtk_pixmap_new (GdkPixmap *pixmap,
                    GdkBitmap *mask);

`gtk_pixmap_new` is deprecated and should not be used in newly-written code.

#### Parameters

mask | . | [allow-none]

### gtk_pixmap_set ()

    void
    gtk_pixmap_set (GtkPixmap *pixmap,
                    GdkPixmap *val,
                    GdkBitmap *mask);

`gtk_pixmap_set` is deprecated and should not be used in newly-written code.

### gtk_pixmap_get ()

    void
    gtk_pixmap_get (GtkPixmap *pixmap,
                    GdkPixmap **val,
                    GdkBitmap **mask);

`gtk_pixmap_get` is deprecated and should not be used in newly-written code.

### gtk_pixmap_set_build_insensitive ()

    void
    gtk_pixmap_set_build_insensitive (GtkPixmap *pixmap,
                                      gboolean build);

`gtk_pixmap_set_build_insensitive` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkPixmap

    struct GtkPixmap;

`GtkPixmap` is deprecated and should not be used in newly-written code.